package model

type RequestPlatFormAlartFilter struct {
	ArmDeviceType int    `form:"armDeviceType"` //告警类型
	ArmDeviceName string `form:"armDeviceName"` //告警设备名称
	ArmHandle     int    `form:"armHandle"`     //是否处理
	ArmSource     int    `form:"armSource"`     //类型

	Current int `form:"current"` //当前分页
	Size    int `form:"size"`    //每页数量
}

type PlatFormAlartData struct {
	ID                  int    `json:"id"`
	ArmClassify         int    `json:"armClassify"`
	ArmDeviceType       int    `json:"armDeviceType"`
	ArmDeviceID         int    `json:"armDeviceId"`
	ArmDeviceName       string `json:"armDeviceName"`
	ArmDeviceSn         string `json:"armDeviceSn"`
	LampPoleID          int    `json:"lampPoleId"`
	LampPoleName        string `json:"lampPoleName"`
	LampPoleSn          string `json:"lampPoleSn"`
	LampPoleLocation    string `json:"lampPoleLocation"`
	ArmSource           int    `json:"armSource"`
	ArmTime             string `json:"armTime"`
	ArmEndTime          string `json:"armEndTime"`
	ArmHandle           int    `json:"armHandle"`
	ArmLevel            int    `json:"armLevel"`
	ArmContent          string `json:"armContent"`
	ArmURL              string `json:"armUrl"`
	Status              int    `json:"status"`
	ArmNotificationType string `json:"armNotificationType"`
	ArmHandleTime       string `json:"armHandleTime"`
	CreateTime          string `json:"createTime"`
	CreateUser          string `json:"createUser"`
	UpdateTime          string `json:"updateTime"`
	UpdateUser          string `json:"updateUser"`
	IsDeleted           int    `json:"isDeleted"`
	TenantID            string `json:"tenantId"`
	ProcessInstanceID   string `json:"processInstanceId"`
	BusinessID          string `json:"businessId"`
	Threshold           int    `json:"threshold"`
	Value               int    `json:"value"`
	Sid                 int    `json:"sid"`
	Cid                 int    `json:"cid"`
	Cname               string `json:"cname"`
	ExtendID            int    `json:"extendId"`
	GroupID             int    `json:"groupId"`
	UserID              string `json:"userId"`
	IsMonitoring        bool   `json:"isMonitoring"`
	IsWorkOrder         bool   `json:"isWorkOrder"`
	OpsStatus           int    `json:"opsStatus"`
	Remark              string `json:"remark"`
	ArmSourceName       string `json:"armSourceName"`
	ArmDeviceTypeName   string `json:"armDeviceTypeName"`
	ArmLevelName        string `json:"armLevelName"`
}

type ResposePlatFormAlart struct {
	Records []PlatFormAlartData `json:"records"` //记录列表
	Current int                 `json:"current"` //当前分页
	Size    int                 `json:"size"`    //每页数量
	Total   int64               `json:"total"`   //总数
	Pages   int                 `json:"pages"`   //总页数
}
